diff --git a/modules/src/app_fmt_cnv_module.c b/modules/src/app_fmt_cnv_module.c
index 611b1b9..ea142ed 100755
--- a/modules/src/app_fmt_cnv_module.c
+++ b/modules/src/app_fmt_cnv_module.c
@@ -91,7 +91,7 @@ vx_status app_init_fmt_conv(
             fmtObj->m2m_params.instId     = 0u;
             /* Only one pipeline is supported */
             fmtObj->m2m_params.numPipe    = 1u;
-            fmtObj->m2m_params.pipeId[0U] = 3u;
+            fmtObj->m2m_params.pipeId[0U] = 2u;
             fmtObj->m2m_params.overlayId  = 3u;
 
             fmtObj->m2m_obj = vxCreateUserDataObject(
diff --git a/utils/dss/src/app_dss_defaults.c b/utils/dss/src/app_dss_defaults.c
index 46823e5..5a77bff 100755
--- a/utils/dss/src/app_dss_defaults.c
+++ b/utils/dss/src/app_dss_defaults.c
@@ -133,7 +133,7 @@ int32_t appDssDefaultInit(app_dss_default_prm_t *prm)
         obj->m2m.enableM2m     = true;
         obj->m2m.nodeOverlayId = APP_DCTRL_NODE_OVERLAY4;
         obj->m2m.overlayId     = APP_DSS_OVERLAY_ID_4;
-        obj->m2m.pipeId        = APP_DCTRL_NODE_VIDL2;
+        obj->m2m.pipeId        = APP_DCTRL_NODE_VID2;
         obj->m2m.vpId          = APP_DSS_VP_ID_4;
         obj->m2m.nodeVpId      = APP_DCTRL_NODE_VP4;
     }
@@ -153,16 +153,16 @@ int32_t appDssDefaultInit(app_dss_default_prm_t *prm)
 
     appDssInitParamsInit(&dssParams);
     dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VID1] = true;
-    dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VID2] = true;
+    dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VIDL2] = true;
     dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VIDL1] = true;
 
     if(prm->enableM2m == TRUE)
     {
-        dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VIDL2] = true;
+        dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VID2] = true;
     }
     else
     {
-        dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VIDL2] = false;
+        dssParams.isPipeAvailable[APP_DSS_VID_PIPE_ID_VID2] = false;
     }
     dssParams.isOverlayAvailable[obj->overlayId] = true;
     dssParams.isPortAvailable[obj->vpId] = true;
@@ -265,7 +265,7 @@ int32_t appDctrlDefaultInit(app_dss_default_obj_t *obj)
     pathInfo.edgeInfo[pathInfo.numEdges].startNode = APP_DCTRL_NODE_VID1;
     pathInfo.edgeInfo[pathInfo.numEdges].endNode   = obj->nodeOverlayId;
     pathInfo.numEdges++;
-    pathInfo.edgeInfo[pathInfo.numEdges].startNode = APP_DCTRL_NODE_VID2;
+    pathInfo.edgeInfo[pathInfo.numEdges].startNode = APP_DCTRL_NODE_VIDL2;
     pathInfo.edgeInfo[pathInfo.numEdges].endNode   = obj->nodeOverlayId;
     pathInfo.numEdges++;
     pathInfo.edgeInfo[pathInfo.numEdges].startNode = APP_DCTRL_NODE_VIDL1;
@@ -339,7 +339,7 @@ int32_t appDctrlDefaultInit(app_dss_default_obj_t *obj)
 
     layerParams.overlayId = obj->overlayId;
     layerParams.pipeLayerNum[APP_DSS_VID_PIPE_ID_VID1] = APP_DCTRL_OVERLAY_LAYER_NUM_0;
-    layerParams.pipeLayerNum[APP_DSS_VID_PIPE_ID_VID2] = APP_DCTRL_OVERLAY_LAYER_NUM_1;
+    layerParams.pipeLayerNum[APP_DSS_VID_PIPE_ID_VIDL2] = APP_DCTRL_OVERLAY_LAYER_NUM_1;
     /* VIDL1 this is graphics overlay layer and it MUST be top most layer, i.e layer num 4 in j721e */
     layerParams.pipeLayerNum[APP_DSS_VID_PIPE_ID_VIDL1] = APP_DCTRL_OVERLAY_LAYER_NUM_4;
     /* this is used by Linux on A72 so should be kept as disabled or invalid here */
